#14724 closed bug (fixed)

ghc-8.2.2 configure script fail to extract gcc version correctly

Reported by: hyophyop Owned by:
Priority: normal Milestone: 8.4.1
Component: Compiler Version: 8.2.2
Keywords: Cc:
Operating System: MacOS X Architecture: x86_64 (amd64)
Type of failure: Installing GHC failed Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

In GHC's configure script, there's a variable $fp_cv_gcc_version which contains gcc version by running one-line bash code.

    fp_cv_gcc_version="`$CC -v 2>&1 | grep 'version ' | sed -e 's/.*version [^0-9]*\([0-9.]*\).*/\1/g'`"

Following is gcc version info of my system.

Apple LLVM version 9.0.0 (clang-900.0.39.2)
Target: x86_64-apple-darwin17.4.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin
Found CUDA installation: /usr/local/cuda, version 7.5

Expected value of fp_cv_gcc_version is 9.0.0. But CUDA version is extracted unexpectedly and attached to version info resulting buggy mk/config.mk like following.

GccVersion            = 9.0.0
7.5
ifeq "$(phase)" "0"
CrossCompilePrefix    =
...

Change History (3)

comment:1 Changed 23 months ago by bgamari

Milestone: 8.2.1

I believe this should be resolved with 71a423562a555ef0805bba546a3a42d437803842.

comment:2 Changed 23 months ago by bgamari

Milestone: 8.2.18.4.1

comment:3 Changed 23 months ago by bgamari

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.